#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%define		pdir	Image
%define		pnam	Imlib2
Summary:	Interface to the Imlib2 image library
Summary(pl.UTF-8):	Interfejs do biblioteki obrazów Imlib2
Name:		perl-Image-Imlib2
Version:	2.03
Release:	14%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Image/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	303b91fae2b863903e41a3cac34fa0d3
Patch0:		pc.patch
URL:		http://search.cpan.org/dist/Image-Imlib2/
BuildRequires:	imlib2-devel
BuildRequires:	perl-Module-Build >= 0.20
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	pkgconfig
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Image::Imlib2 is a Perl port of Imlib2, a graphics library that does
image file loading and saving as well as manipulation, arbitrary
polygon support, etc. It does ALL of these operations FAST. It allows
you to create colour images using a large number of graphics
primitives, and output the images in a range of formats.

%description -l pl.UTF-8
Image::Imlib2 to perlowy port Imlib2 - biblioteki graficznej
wczytującej, zapisującej i przetwarzającej obrazy z obsługą dowolnych
wielokątów itp. Wykonuje WSZYSTKIE te operacje SZYBKO. Pozwala na
tworzenie kolorowych obrazów przy użyciu dużej liczby prymitywów
graficznych i zapis ich w wielu formatach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	destdir=$RPM_BUILD_ROOT
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorarch}/Image/Imlib2.pm
%dir %{perl_vendorarch}/auto/Image/Imlib2
%attr(755,root,root) %{perl_vendorarch}/auto/Image/Imlib2/*.so
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*.txt
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl
%{_mandir}/man3/Image::Imlib2*.3pm*
%changelog
* Wed Apr 24 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Image-Imlib2.git;a=log;h=master

* Fri Jul 07 2023 Jan Palus <atler@pld-linux.org> b00d314
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> cae95ce
- perl 5.36.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 3030675
- add support for imlib2 without imlib2-config

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 6b7886e
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> ba0a131
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> e595031
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> d84ce11
- rebuild with perl 5.30.0
- release 10 (by relup.sh)

* Wed Aug 29 2018 Marcin Krol <hawk@tld-linux.org> a0d7b6c
- release 9

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 4468c77
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 34b786f
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8be2408
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> e9a199a
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 9485ed4
- x32 rebuild
- release 4 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 944c311
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 47a0261
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 1320c7f
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Mon Jun 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 29ddc30
- package examples once

* Sun Jun 12 2011 marti <marti@pld-linux.org> 5a6592a
- up to 2.03

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 0f3e5cc
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> f26c35b
- release 2

